Skip to content

Sends a transaction receipt by SMS

Request

POST {{baseURL}}/pay-api/v1/transactions/{{transactionId}}/send-transaction-receipt-by-sms

This endpoint sends a transaction receipt to the customer by SMS.

See Also:
To retrieve a transaction by ID, see GET /pay-api/v1/transactions/{transactionId}.
To list transactions, see GET /pay-api/v1/transactions.
To create a transaction, see POST /pay-api/v1/transactions/sale.

Security
Bearer
Path
transactionIdstring, (uuid)required

Specifies the transaction identifier.

Example:c7c15dd0-03e7-4e55-917c-54bedafba5e7
Bodyapplication/json
phoneNumberstring, (E.164), [ 1 .. 20 ] characters^(null|\+\d{1,20})$required

Identifies the customer's phone number.

Example: +15551234567

Example:"+15551234567"
customerConsentbooleanrequired

Identifies the customer has consented to receiving the SMS.

If true, the customer has consented to receiving the SMS.
If false, the customer has not consented to receiving the SMS.

Example: true

Example:true

Sends the receipt for a transaction to a mobile phone.

The customer agreed to receive the SMS, so customerConsent is true.

POST /pay-api/v1/transactions/8a4f1c27-6d93-4e05-b2a8-1f7c3e9d5b60/send-transaction-receipt-by-sms HTTP/1.1
Host: sandbox.api.flute.com
Authorization: Bearer <YOUR_JWT_HERE>
Accept: application/json
Content-Type: application/json

{
  "phoneNumber": "+14155558787",
  "customerConsent": true
}

Responses

OK

Bodyapplication/json
phoneNumberstring, (E.164), [ 1 .. 20 ] characters^(null|\+\d{1,20})$required

Identifies the customer's phone number.

Example: +15551234567

Example:"+15551234567"
customerConsentbooleanrequired

Identifies the customer has consented to receiving the SMS.

If true, the customer has consented to receiving the SMS.
If false, the customer has not consented to receiving the SMS.

Example: true

Example:true
Response
{ "phoneNumber": "+15551234567", "customerConsent": true }